<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>C-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../cards/Card.html" title="interface in cards"><span class="typeNameLink">Card</span></a> - Interface in <a href="../cards/package-summary.html">cards</a></dt>
<dd>
<div class="block">Card Interface, ties together chance and community chest</div>
</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card1Test--">card1Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#card1Test--">card1Test()</a></span> - Method in class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card2Test--">card2Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#card2Test--">card2Test()</a></span> - Method in class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card3Test--">card3Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#card3Test--">card3Test()</a></span> - Method in class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card4Test--">card4Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#card4Test--">card4Test()</a></span> - Method in class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card5Test--">card5Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#card5Test--">card5Test()</a></span> - Method in class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card6Test--">card6Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card7Test--">card7Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#card8Test--">card8Test()</a></span> - Method in class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../cards/package-summary.html">cards</a> - package cards</dt>
<dd>&nbsp;</dd>
<dt><a href="../cards/CardType.html" title="enum in cards"><span class="typeNameLink">CardType</span></a> - Enum in <a href="../cards/package-summary.html">cards</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/Chance.html" title="class in board"><span class="typeNameLink">Chance</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">The chance square</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Chance.html#Chance-java.lang.String-int-">Chance(String, int)</a></span> - Constructor for class board.<a href="../board/Chance.html" title="class in board">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../cards/Chance.html" title="class in cards"><span class="typeNameLink">Chance</span></a> - Class in <a href="../cards/package-summary.html">cards</a></dt>
<dd>
<div class="block">Chance card implementation</div>
</dd>
<dt><span class="memberNameLink"><a href="../cards/Chance.html#Chance-int-">Chance(int)</a></span> - Constructor for class cards.<a href="../cards/Chance.html" title="class in cards">Chance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#chanceInteractions-player.Player-">chanceInteractions(Player)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Handles all the interactions between the players and chance cards</div>
</dd>
<dt><a href="../tests/ChanceTest.html" title="class in tests"><span class="typeNameLink">ChanceTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/ChanceTest.html#ChanceTest--">ChanceTest()</a></span> - Constructor for class tests.<a href="../tests/ChanceTest.html" title="class in tests">ChanceTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#chargeRent-player.Player-board.PurchaseableSquare-">chargeRent(Player, PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Calculates the correct rent to be charged to the player who lands on a square owned by another player
 Works for Any type of purchaseable square</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#check-int-int:A-">check(int, int[])</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Checks if the number is the closest to avoid repetitive code</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#checkBuy-player.Player-board.PurchaseableSquare-">checkBuy(Player, PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Checks whether a player wants to buy a square</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#checkSetOwned-java.util.ArrayList-">checkSetOwned(ArrayList&lt;Property&gt;)</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>
<div class="block">Checks how many properties you own (and subtracts the ones that are mortgaged)</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#checkWholeSetOwned-java.util.ArrayList-int-">checkWholeSetOwned(ArrayList&lt;Property&gt;, int)</a></span> - Method in class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>
<div class="block">Returns true if the player also owns the other properties in the set
 *Test this*</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#closestTo-int-int:A-">closestTo(int, int[])</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Finds the Closest Value to the Target in an Array</div>
</dd>
<dt><a href="../board/Colour.html" title="enum in board"><span class="typeNameLink">Colour</span></a> - Enum in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Property Colours Enum</div>
</dd>
<dt><a href="../board/CommunityChest.html" title="class in board"><span class="typeNameLink">CommunityChest</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Community Chest Square</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/CommunityChest.html#CommunityChest-java.lang.String-int-">CommunityChest(String, int)</a></span> - Constructor for class board.<a href="../board/CommunityChest.html" title="class in board">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../cards/CommunityChest.html" title="class in cards"><span class="typeNameLink">CommunityChest</span></a> - Class in <a href="../cards/package-summary.html">cards</a></dt>
<dd>
<div class="block">Community Chest Card Implementation</div>
</dd>
<dt><span class="memberNameLink"><a href="../cards/CommunityChest.html#CommunityChest-int-">CommunityChest(int)</a></span> - Constructor for class cards.<a href="../cards/CommunityChest.html" title="class in cards">CommunityChest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#communityChestInteractions-player.Player-">communityChestInteractions(Player)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">All the possible interactions from community chest cards</div>
</dd>
<dt><a href="../tests/CommunityChestTest.html" title="class in tests"><span class="typeNameLink">CommunityChestTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/CommunityChestTest.html#CommunityChestTest--">CommunityChestTest()</a></span> - Constructor for class tests.<a href="../tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Input.html#createPlayerList-java.util.ArrayList-int-boolean-">createPlayerList(ArrayList&lt;String&gt;, int, boolean)</a></span> - Method in class game.<a href="../game/Input.html" title="class in game">Input</a></dt>
<dd>
<div class="block">Creates a list of players, getting their names from input</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
